---
variables:
  SITE_URL: onionservices.torproject.org
  GIT_SUBMODULE_STRATEGY: recursive

include:
  - project: tpo/tpa/ci-templates
    file:
      - static-shim-deploy.yml

  - project: tpo/web/onion-mkdocs
    file:
      - .gitlab-ci-base.yml

build:
  stage: build
  extends: .onion-mkdocs-clone
  after_script:
    - $ONION_MKDOCS_LOCATION/scripts/onion-mkdocs-provision-build
    - scripts/compile
    - $ONION_MKDOCS_LOCATION/scripts/onion-mkdocs-build
  artifacts:
    paths:
      - public

.pages-deploy-rules:
  # canonical project: deploy to pages for main branch only
  - if: '$CI_PROJECT_ROOT_NAMESPACE == "tpo" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
    # forks: if merge request, deploy to pages on all branches
  - if: '$CI_PROJECT_ROOT_NAMESPACE != "tpo" && $CI_PIPELINE_SOURCE == "merge_request"'
